<div class="error-text" *ngIf="control && control.errors && (control.dirty || control.touched)">
    <div *ngIf="control.errors.required"><small>This field sis required</small></div>
    <div *ngIf="control.errors.unique"><small>Unique</small></div>
    <div *ngIf="control.errors.minlength"><small>Less than</small></div>
    <div *ngIf="control.errors.maxlength"><small>Greater than</small></div>
    <div *ngIf="control.errors.email"><small>Email</small></div>
    <div *ngIf="control.errors.passwordCheck"><small>Password check</small></div>
</div>